Bug Hunting Session
Bug 126720 - Levels of error correction at QR code
Summary: Levels of error correction at QR code
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: shubhamgoyal
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2019-08-06 08:59 UTC by Heiko Tietze
Modified: 2019-08-23 09:36 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Radio button issue (22.80 KB, image/png)
2019-08-06 08:59 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2019-08-06 08:59:02 UTC
Created attachment 153159 [details]
Radio button issue

1. All radio buttons are checked but only one should.
2. The lengthy label breaks the UI; we could make it shorter or put the radio buttons below (but indented as the other input controls)

Besides, does the "QR Code" title make sense? How about Parameters or Options...
Comment 1 BogdanB 2019-08-06 17:44:59 UTC
Options sounds better and less technical. 
Where is the QR option in order to generate one?
Comment 2 Samuel Mehrbrodt (CIB) 2019-08-07 07:26:41 UTC
I think this has already been fixed by Shubham.
Comment 3 shubhamgoyal 2019-08-19 17:13:17 UTC
The first part of the bug is fixed in commit https://gerrit.libreoffice.org/plugins/gitiles/core/+/a0ef5c62ce8b5cac634aaf785f67a514ec334aa5%5E%21
Comment 4 Commit Notification 2019-08-23 09:21:45 UTC
Shubham Goyal committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/58c9b9802ca7cbd6e6b11dda3e905742c1e4fb3c%5E%21

tdf#126720 Fixing label length fix UI break

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.